#!/bin/sh

OXI_INSTALL_DIR_NAME="@Oxibackup"
INSTALL_DIR="%SYNOPKG_PKGDEST_VOL%/$OXI_INSTALL_DIR_NAME"
OXIBACKUP_SUB_DIR="$INSTALL_DIR/opt/oxibackup"
OXIBACKUP_OPT_DIR="/opt/oxibackup"

case $1 in
    start)
        mkdir -p "$OXIBACKUP_OPT_DIR" > /dev/null 2>&1
        if ! mount -o bind "$OXIBACKUP_SUB_DIR" "$OXIBACKUP_OPT_DIR" > /dev/null 2>&1
        then
            # Fall back to symlink
            ln -sfn "$OXIBACKUP_SUB_DIR" "$OXIBACKUP_OPT_DIR" > /dev/null 2>&1
        fi

        if ! mkdir -p "$OXIBACKUP_SUB_DIR/root/.oxibackup" && chmod 700 "$OXIBACKUP_SUB_DIR/root/.oxibackup"
        then
            exit 1
        fi

        if ! ln -sfn "$OXIBACKUP_SUB_DIR/root/.oxibackup" /root/.oxibackup
        then
            exit 1
        fi
    ;;
    stop)
        #Do nothing
    ;;
esac

exit 0
